Page MenuHomePhabricator

Ctxpopup: resizing ctxpopup after its content is removed
ClosedPublic

Authored by Blackmole on Nov 12 2017, 11:00 PM.

Details

Summary

When ctxpopup's content is removed,
ctxpopup doesn't recalculate its size, so empty space is remaind.
To fix this problem, ctxpopup recalculate its size when content is removed.
This patch is about T6327

@fix

Test Plan
  1. run elementary_test -to ctxpopup
  2. select 10st item
  3. click button in ctxpopup

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Blackmole created this revision.Nov 12 2017, 11:00 PM
Blackmole edited the summary of this revision. (Show Details)Nov 12 2017, 11:01 PM
jpeg accepted this revision.Nov 14 2017, 11:50 PM
This revision is now accepted and ready to land.Nov 14 2017, 11:50 PM
Closed by commit rEFLd96f3bb4f398: Ctxpopup: resizing ctxpopup after its content is removed (authored by Blackmole, committed by Jean-Philippe Andre <jp.andre@samsung.com>). · Explain WhyNov 14 2017, 11:50 PM
This revision was automatically updated to reflect the committed changes.
zmike added a comment.Nov 20 2017, 4:25 AM

Wouldn't it be sufficient to set need_recalculate on the box and let it happen naturally during next render? In the case where the content is deleted and then the ctxpopup is deleted then this will trigger and propagate an unnecessary recalc.

jpeg added a comment.Nov 20 2017, 6:04 PM

Indeed that should be enough. In theory elm_layout_sizing_eval does just that. The box recalc is most likely not necessary here.